/// <reference types="react" />
import { ReactWidgetPM } from "../../../types/widget";
import { DataPointSelection } from '../../../types/SeriesMeasure';
import { ApexOptions } from "apexcharts";
declare type ApexChartProps = {
    widget: ReactWidgetPM | undefined;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const ApexChart: (props: ApexChartProps) => JSX.Element;
export declare type ApexChartArgs = {
    options: ApexOptions;
    series: ApexAxisChartSeries | ApexNonAxisChartSeries;
};
export default ApexChart;
