import { Layout } from "react-grid-layout";
import { ReactWidgetMeasurePM } from "./ReactWidgetMeasurePM";
export declare type ReactWidgetPM = {
    Id: string;
    Tenant: number;
    Title: string;
    TypeCode: "line" | "area" | "bar" | "histogram" | "pie" | "donut" | "radialBar" | "scatter" | "bubble" | "heatmap" | "treemap" | "boxPlot" | "candlestick" | "radar" | "polarArea" | "rangeBar";
    GroupById: string;
    DashboardId: string;
    StartPotistion: string;
    EndPosition: string;
    Filters?: string;
    Layout?: Layout;
    key?: any;
    EntityId: string;
    WidgetMeasures?: ReactWidgetMeasurePM[];
    ChangeSetOp?: string;
    DateGroupCode?: string;
    SortDirection?: string;
    SortBy?: number;
    MaximumGrouping?: number;
};
